{ pkgs, legacyPackages, ... }:

{
  name = "tox-bootstrapd";
  constraints = builtins.any (spec: spec == "x86");
  nodes = let
    node = {
      config = ./tox-bootstrapd.dhall;
      inputs = (with pkgs; [
        acpi_drv
        libc-raise
        platform_drv
        posix
        report_rom
        rom_logger
        (genodeSources.make "test/pci")
        vfs_lwip
        virtio_nic_drv
      ]) ++ (with legacyPackages; [ libtoxcore ]);
    };
  in {
    alice = node;
  };

  testScript = ''
    start_all()
    alice.wait_until_serial_output('child "init" exited with exit value 0')
  '';

}
